public class LibraryBook extends Book implements LibraryItem
{
  private String myID;
  private String myHolder;

  public LibraryBook(String author, String title,
                     String id)
  {
    super(author, title);
    myID = id;
    myHolder = null;
  }

  public String id()
  {
    return myID;
  }

  public String holder()
  {
    return myHolder;
  }

  public void setHolder(String holder)
  {
    myHolder = holder;
  }

  public String toString()
  {
    return myID + " book: " + super.toString() + " out to: " + holder();
  }

}

